layui.extend({
    common    :   'js/common'
}).use(['jquery','table','layer','common'], function () {
    var $ = layui.jquery;
    var table = layui.table;
    //  弹窗插件
    var layer = layui.layer;
    var common = layui.common;
    //表格对象
    var layuiTable = common.layuiTable.render(table,{
        elem: '#table-id'  //页面table的id
        , url: '/ad/device/details/showAdPushDeviceDetails?taskId='+$('#taskId').val() //后台接口
        ,toolbar: '#table-head-id'  //头部按钮
        ,method: 'post'
        , cellMinWidth: 80 //全局定义常规单元格的最小宽度，
        , cols: [[
            { field: 'deviceName', title: '设备名称'}
            , { field: 'serialNumber', title: '设备序列号'}
            , { field: 'installPath', title: '安装位置' }
            , { field: 'xqName', title: '所属小区'}
            , { field: 'pushStatus', title: '广告发布结果',templet:'#pushStatus'}
            , { field: 'remark', title: '失败原因'}

        ]]
        //  开启分页功能
        , page: true
    });

    //  重新加载表格
    var queryTableFn = function(){
        var xqName = $('#xqName').val();
        var deviceName = $('#deviceName').val();
        var serialNumber = $('#serialNumber').val();
        var pushStatus = $('#search_pushStatus').val();
        //重新加载表格
        layuiTable.reload({
            where:{
                xqName         :  xqName,
                deviceName     :  deviceName,
                serialNumber   :  serialNumber,
                pushStatus     :  pushStatus
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            }
        });
    };

    //按小区的搜索按钮绑定点击事件
    $('#select_search_btn').on('click', function () {
        queryTableFn();
    });
});

